MagickMind
  1. End-Users
  • Documentation
    • Get started
      • Introduction
      • Quick Start
      • First API Call
    • Core Concepts
      • Projects
      • Corpus
      • Mindspaces
      • End-Users
      • Websocket
    • Authentication
      • Overview
      • OAuth Flow
      • API Keys
    • Guides
      • Creating a Corpus
      • Managing End-Users
    • SDK
      • Python
      • Go
  • API Reference
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
          POST
        • Get End-User by ID
          GET
        • Update End-User
          PUT
        • Query End-Users
          GET
        • Delete End-User
          DELETE
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
        • Update Mindspace
        • Get Mindspace by ID
        • Get Mindspace List
        • Delete Mindspace
        • Get Mindspace Messages
        • Delete Mindspace
        • Add Mindspace Users by ID
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
      • Runtime
        • Get Effective Personality
        • Invalidate Cache
  1. End-Users

Query End-Users

Developing
Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
GET
/v1/end-users

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.magickmind.ai/v1/end-users?cursor&Limit&order&name=&external_id=' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "paging": {
        "cursors": {
            "after": "string",
            "before": "string"
        },
        "has_more": true,
        "has_previous": true
    },
    "data": [
        {
            "id": "string",
            "name": "string",
            "external_id": "string",
            "tenant_id": "string",
            "created_by": "string",
            "updated_by": "string",
            "created_at": "string",
            "updated_at": "string"
        }
    ]
}
Previous
Update End-User
Next
Delete End-User
Built with